  @echo off
  echo.
  echo Install.Bat v1.30
  echo EvalFile installation batch file
  echo.
  
  if "%1"=="/?" goto Help
  if "%1"=="/h" goto Help
  if "%1"=="/H" goto Help
  if "%1"==""   goto Help
  if "%2"==""   goto Help
  goto Skip_Help

:Help
  echo Syntax:  INSTALL.BAT home_dir doorway_dir
  echo.
  echo home_dir     -- the main directory for your BBS
  echo doorway_dir  -- the directory of the serial i/o utility DoorWay
  echo.
  echo Example:  
  echo INSTALL C:\WILDCAT C:\WILDCAT\DOOR\DOORWAY
  echo.
  echo This batch file will only install EvalFile for Node 1.
  echo.
  goto Finished

:Skip_Help
  
  echo Press CONTROL-C now if you do NOT want to install EvalFile.
  echo Otherwise, please press ENTER.
  echo.
  pause
  
  echo --------------------------------------------------------------
  echo.
  echo Checking for %2\DoorWay.Exe...
  if not exist %2\DoorWay.Exe goto Doorway_Missing
  
  echo --------------------------------------------------------------
  echo.
  echo Please press ENTER to create the directories to
  echo %1\Door\EvalFile\FileUser and
  echo %1\Door\EvalFile\UserInfo.
  echo.
  echo You will see some errors if some of the directories already exist.
  echo.
  pause
  echo.
  echo Making directory %1\Door...
  md %1\Door
  echo Making directory %1\Door\EvalFile...
  md %1\Door\EvalFile
  echo Making directory %1\Door\EvalFile\FileUser...
  md %1\Door\EvalFile\FileUser
  echo Making directory %1\Door\EvalFile\UserInfo...
  md %1\Door\EvalFile\UserInfo
  
  echo --------------------------------------------------------------
  echo.
  echo Please press ENTER to copy files to %1\Door\EvalFile.
  pause
  echo.
  echo Copying EvalFile.BBS (a display for your users)...
  copy EvalFile.BBS %1\Door\EvalFile\EvalFile.BBS > nul
  echo Copying EvalFile.Exe...
  copy EvalFile.Exe %1\Door\EvalFile\EvalFile.Exe > nul
  echo Copying EvalFile.Doc...
  copy EvalFile.Doc %1\Door\EvalFile\EvalFile.Doc > nul
  echo Copying Install.Bat (it might come in handy later)...
  copy Install.Bat  %1\Door\EvalFile\Install.Bat  > nul
  echo.

  echo --------------------------------------------------------------
  echo.
  echo Please press ENTER to copy door batch file EvalFile.Bat to
  echo %1\Batch\EvalFile.Bat...
  pause
  echo.
  if not exist %1\Batch\EvalFile.Bat goto Bat
  echo Saving old EvalFile.Bat as EvalFile.Old...
  copy %1\Batch\EvalFile.Bat %1\Batch\EvalFile.Old > nul
:Bat
  echo Copying EvalFile.Bat...
  copy EvalFile.Bat %1\Batch\EvalFile.Bat > nul
  echo.
  
  echo --------------------------------------------------------------
  echo.
  echo Changing default directory to %1\Door\EvalFile...
  cd %1\Door\EvalFile
  echo.
  
  echo --------------------------------------------------------------
  echo.
  echo Please press ENTER to create EvalFile.Cfg.
  echo.
  pause
  echo.
  if not exist EvalFile.Cfg goto Config
  echo Your old EvalFile.Cfg will not be over-written.  
  echo Installation of the new EvalFile.Cfg will be skipped.
  echo.
  pause
  goto No_Config
:Config
  echo Creating EvalFile.Cfg...
  echo Unregistered > EvalFile.Cfg
  echo 1.30        >> EvalFile.Cfg
  echo 30          >> EvalFile.Cfg
  echo 1           >> EvalFile.Cfg
:No_Config

  echo --------------------------------------------------------------
  echo.
  echo Please press ENTER to create EvalFile.Hdr.
  echo.
  pause
  echo.
  if not exist EvalFile.Hdr goto Header
  echo Copying old EvalFile.Hdr to Eval_Hdr.Old...
  copy EvalFile.Hdr Eval_Hdr.Old > nul
:Header
  echo Creating EvalFile.Hdr...
  echo EvalFile.Txt                                                        > EvalFile.Hdr
  echo.                                                                   >> EvalFile.Hdr
  echo This listing of tabulated evaluations of downloaded files by users >> EvalFile.Hdr
  echo was generated using the BBS door EvalFile.  To order EvalFile for  >> EvalFile.Hdr
  echo your BBS, contact David Croft via electronic mail at the           >> EvalFile.Hdr
  echo MSI HQ BBS (805) 873-2400 or at the Wyrm BBS (818) 793-2426.       >> EvalFile.Hdr
  echo.                                                                   >> EvalFile.Hdr
  echo A calculated rating of 1.0 is the best and 0.0 is the worst.       >> EvalFile.Hdr
  echo The rating is followed by the count of users who have currently    >> EvalFile.Hdr
  echo evaluated the file.  For files with less than 30 evaluations, the  >> EvalFile.Hdr
  echo rating is biased towards 1.0.                                      >> EvalFile.Hdr
  echo.                                                                   >> EvalFile.Hdr
  echo Rating    Count    File                                            >> EvalFile.Hdr
  echo -------   ------   ------------                                    >> EvalFile.Hdr

  echo --------------------------------------------------------------
  echo.
  echo Installation is complete.  Now you will need to
  echo.
  echo 1) add a nightly event to call the batch file EvalFile.Bat.
  echo 2) possibly edit EvalFile.Bat to copy its output files
  echo    EvalFile.Txt and AllFiles.Txt
  echo    to a download directory or a bulletin directory instead of
  echo    %1\File\Misc;
  echo 3) test the event;
  echo 4) enable the door or menu hook using MAKEWILD or MAKEMENU;
  echo 5) test the door or menu hook;
  echo 6) if registered, edit EvalFile.Cfg; and
  echo 7) edit your File Menu or %1\Disp\Doors.BBS
  echo    to let your user know that a new menu hook or door is available.
  echo.
  echo Additional information is available in the text file EvalFile.Doc.

  goto Finished

:DoorWay_Missing
  echo The shareware serial I/O redirection utility DoorWay.Exe
  echo could not be found in %3.
  echo Please check the path or install this utility.
  echo If you currently do not have it, you can download it from
  echo the MSI HQ BBS (805) 873-2400 as DRWY222.ZIP or DOORWAY.ZIP.
  goto Abort

:Abort
  echo.
  echo Installation of EvalFile has been aborted.

:Finished
  echo.
